package com.heyu.api.data.service.impl.operation;
/**
* <p>
* 场景下的条件配置 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.operation.OperatinConditionDao;
import com.heyu.api.data.entity.operation.OperatinConditionEntity;
import com.heyu.api.data.service.operation.OperatinConditionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class OperatinConditionServiceImpl extends ServiceImpl<OperatinConditionDao, OperatinConditionEntity> implements OperatinConditionService {


    @Autowired
	private OperatinConditionDao operatinConditionDao;



	@Override
	public OperatinConditionEntity selectOperatinConditionById(Long id){
		return operatinConditionDao.selectOperatinConditionById(id);
	}



	@Override
	public Long insertOperatinCondition(OperatinConditionEntity operatinCondition){
		return operatinConditionDao.insertOperatinCondition(operatinCondition);
	}



	@Override
	public Long insertOrUpdateOperatinCondition(OperatinConditionEntity operatinCondition){
		return operatinConditionDao.insertOrUpdateOperatinCondition(operatinCondition);
	}



	@Override
	public int updateOperatinConditionById(OperatinConditionEntity operatinCondition){
		return operatinConditionDao.updateOperatinConditionById(operatinCondition);
	}



	@Override
	public int updateCoverOperatinConditionById(OperatinConditionEntity operatinCondition){
		return operatinConditionDao.updateCoverOperatinConditionById(operatinCondition);
	}



	@Override
	public int deleteOperatinConditionById(Long id){
		return operatinConditionDao.deleteOperatinConditionById(id);
	}



}
